# pin\_update

Update a recursive pin.

#### REQUEST <a href="#request" id="request"></a>

```bash
curl "https://ipfs.krypc.io:5001/api/v0/pin/update?arg=<from-path>&arg=<to-path>&unpin=true" \
    -X POST \
    -u "<API_KEY>:<API_KEY_SECRET>"
```

**REQUEST PARAMS**[**​**](https://docs.infura.io/networks/ipfs/http-api-methods/pin_update#request-params)

* `arg` *\[Required]* - Path to old object.
* `arg` *\[Required]* - Path to a new object to be pinned.
* `unpin` *\[Optional]* - Remove the old pin. The default is `true.`

#### RESPONSE[​](https://docs.infura.io/networks/ipfs/http-api-methods/pin_update#response) <a href="#response" id="response"></a>

On success, the call to this endpoint returns with 200 and the following body:

**BODY**[**​**](https://docs.infura.io/networks/ipfs/http-api-methods/pin_update#body)

```
{
  "Pins": [
    "string"
  ]
}
```
